Bug 223694 - [NEW PORT] databases/pspg: Tabular data pager designed to be used with psql
Summary: [NEW PORT] databases/pspg: Tabular data pager designed to be used with psql
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D13170
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-15 23:19 UTC by Dmitri Goutnik
Modified: 2017-11-22 18:52 UTC (History)
1 user (show)

See Also:


Attachments
patch file (3.50 KB, patch)
2017-11-15 23:19 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (2.56 KB, patch)
2017-11-16 14:08 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (3.25 KB, patch)
2017-11-18 14:43 UTC, Dmitri Goutnik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2017-11-15 23:19:58 UTC
Created attachment 188035 [details]
patch file

pspg is a small specialized pager designed to be used with psql. It has
support for working with tabular data, ability to freeze first few
rows/columns and configurable colors.

WWW: https://github.com/okbob/pspg

QA:
  portlint -ACN: OK
  poudriere testport: OK (11a, 10i, DOCS tested)
Comment 1 Dmitri Goutnik freebsd_committer 2017-11-15 23:21:50 UTC
Patch upstreamed, https://github.com/okbob/pspg/pull/31
Comment 2 Dmitri Goutnik freebsd_committer 2017-11-16 14:08:51 UTC
Created attachment 188046 [details]
patch file

* Update to 0.5
* Remove patch that was merged upstream
Comment 3 Dmitri Goutnik freebsd_committer 2017-11-18 14:43:50 UTC
Created attachment 188094 [details]
patch file

* Update to 0.6
* Add pkg-message with usage instructions
Comment 4 Yuri Victorovich freebsd_committer 2017-11-22 18:51:52 UTC
Thank you for your submission!
Comment 5 commit-hook freebsd_committer 2017-11-22 18:52:28 UTC
A commit references this bug:

Author: yuri
Date: Wed Nov 22 18:51:37 UTC 2017
New revision: 454699
URL: https://svnweb.freebsd.org/changeset/ports/454699

Log:
  New port: databases/pspg: Tabular data pager designed to be used with psql

  PR:		223694
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13170

Changes:
  head/databases/Makefile
  head/databases/pspg/
  head/databases/pspg/Makefile
  head/databases/pspg/distinfo
  head/databases/pspg/pkg-descr
  head/databases/pspg/pkg-message